<?php
/*
Plugin Name: Recent Posts
Plugin URI: http://mtdewvirus.com/wp-hacks/
Description: Returns a list of the most recent posts.
Version: 1.02
Author: Nick Momrik
Author URI: http://mtdewvirus.com/
*/
/* Amended slightly by Lee Penney (http://www.viewfinderdesign.co.uk) */

function get_recent_posts($no_posts = 5, $before = '<dt>', $after = '</dd>', $show_pass_post = false, $skip_posts = 0, $show_excerpts = false) {
    global $wpdb, $tableposts;
	$time_difference = get_settings('gmt_offset');
	$now = gmdate("Y-m-d H:i:s",(time()+($time_difference*3600)));
    $request = "SELECT ID, post_title, post_excerpt, post_content FROM $tableposts WHERE post_status = 'publish' ";
	if(!$show_pass_post) $request .= "AND post_password ='' ";
	$request .= "AND post_date < '$now' ORDER BY post_date DESC LIMIT $skip_posts, $no_posts";
    $posts = $wpdb->get_results($request);
	$output = '';
    foreach ($posts as $post) {
        $post_title = stripslashes($post->post_title);
        $permalink = get_permalink($post->ID);
        $output .= $before . '<a href="' . $permalink . '" rel="bookmark" title="Permanent Link: ' . $post_title . '">' . $post_title . '</a>';
		if($show_excerpts) {
			$post_excerpt = stripslashes($post->post_content);
			$post_excerpt = strip_tags($post_excerpt);
			$post_excerpt = substr($post_excerpt, 0, 200);
			$post_excerpt = $post_excerpt . "...";
			$output.= "</dt>\n<dd>" . $post_excerpt;
		}
		$output .= $after;
    }
    echo $output;
}
?>